<template>
  <v-container class="pa-0 flight-header">
    <div class="mt-4 mb-4 d-flex align-center">
      <v-btn icon flat size="small" data-cy="ReturnFlightHeaderBtn" :to="{ name: 'vols' }">
        <v-icon>west</v-icon>
      </v-btn>
      <div class="ml-4 text-h1" data-cy="FlightTitleHeader">
        {{ flightTitle }}
      </div>
      <v-spacer></v-spacer>
      <div>
        <v-btn-toggle color="primary" mandatory rounded>
          <v-btn :to="'/vols/' + flight.id + '/edition'" data-cy="GeneralDataHeaderBtn" :disabled="!flight.id">
            <span>Infos générales</span>
          </v-btn>
          <v-btn :to="'/vols/' + flight.id + '/dossier'" data-cy="FlightCaseHeaderBtn" :disabled="!canAccessFlightCase">
            <span>Dossier avion</span>
          </v-btn>
        </v-btn-toggle>
      </div>
    </div>
  </v-container>
</template>

<script setup lang="ts">
import { Flight } from "~/dto/flight.dto";

const props = defineProps<{ flight: Flight }>()

const flightTitle = computed(() => {
  if (props.flight.id) {
    return `Vol ${props.flight.cotamNumber} / ${props.flight.legs[0]?.departure?.oaci} - ${props.flight.legs[props.flight.legs.length - 1]?.arrival?.oaci}`
  }
  return 'Nouveau vol';
});
const canAccessFlightCase = computed(() => {
  return !!props.flight.id && props.flight.legs && props.flight.legs.length > 0 && props.flight.legs.findIndex(l => !!l.id) >= 0;
});
</script>

<style lang="scss">
#app .container.flight-header {
  position: fixed;
  width: 100%;
  max-width: 80%;
  z-index: 3;
  top: 80px;
  background-color: rgb(251, 251, 252);
}
</style>
